Retrieve payment plan

View as MarkdownOpen in Claude
Use this method to retrieve information about a payment plan. To retrieve a payment plan, you need its paymentPlanId. Our gateway returned the paymentPlanId in the response of the [Create Payment Plan](https://docs.payroc.com/api/schema/repeat-payments/payment-plans/create) method. **Note:** If you don't have the paymentPlanId, use our [List Payment Plans](https://docs.payroc.com/api/schema/repeat-payments/payment-plans/list) method to search for the payment plan. Our gateway returns the following information about the payment plan: - Name, length, and currency of the plan - How often our gateway collects each payment - How much our gateway collects for each payment - What happens if the merchant updates or deletes the plan

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.
paymentPlanIdstringRequired1-48 characters
Unique identifier that the merchant assigned to the payment plan.

Response

Successful request. Returns the requested payment plan.
paymentPlanIdstring1-48 characters
Unique identifier that the merchant assigns to the payment plan.
namestring5-128 characters
Name of the payment plan.
currencyenum
Currency of the transaction. The value for the currency follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.
typeenumDefaults to automatic
Indicates how the merchant takes the payment from the customer's account. - `manual` - The merchant manually collects payments from the customer. - `automatic` - The terminal automatically collects payments from the customer.
Allowed values:
frequencyenum
Indicates how often the merchant or the terminal collects a payment from the customer.
Allowed values:
onUpdateenumDefaults to continue
Indicates whether any changes that the merchant makes to the payment plan apply to existing subscriptions. - `update` - Changes apply to existing subscriptions. - `continue` - Changes don't apply to existing subscriptions.
Allowed values:
onDeleteenumDefaults to complete
Indicates what happens to existing subscriptions if the merchant deletes the payment plan. - `complete` - Stops existing subscriptions. - `continue` - Continues existing subscriptions.
Allowed values:
processingTerminalIdstringRead-only4-50 characters
Unique identifier of the terminal that the payment plan is assigned to.
descriptionstring0-128 characters
Description of the payment plan.
lengthinteger>=0Defaults to 0

Number of payments for the payment plan.

To indicate that the payment plan should run indefinitely, send a value of 0.

customFieldNameslist of strings
Array of custom fields that you can use in subscriptions linked to the payment plan.
setupOrderobject
recurringOrderobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error